# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/fidlib/fidlib-0.9.10.ebuild,v 1.5 2012/06/13 12:59:29 johu Exp $

EAPI=5
inherit autotools eutils flag-o-matic git-2 multilib toolchain-funcs

DESCRIPTION="Run-time filter design and execution library"
HOMEPAGE="http://uazu.net/fidlib/"
EGIT_REPO_URI="git://github.com/JamesHight/fidlib.git"
EGIT_BRANCH="master"

LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="static-libs"

src_prepare() {
	# Avoid ICE under gcc-4.6, fixed in 4.6.3
	if [[ $(gcc-version) == "4.6" && $(gcc-micro-version) -le 2 ]] ; then
		replace-flags -O? -O0
	fi

	eautoreconf
}

src_configure() {
	econf $(use_enable static-libs static)
}

#src_install() {
#	dobin firun
#	dolib.so libfidlib.so.${PV:0:1}
#	dosym libfidlib.so.${PV:0:1} /usr/$(get_libdir)/libfidlib.so
#
#	insinto /usr/include/fidlib
#	doins fidlib.h
#
#	dodoc NEWS README fidlib.txt firun.txt
#}
